## ros-kinetic-rocon-hub 0.8.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_hub)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/hub.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY redis
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-rocon-hub (0.8.1-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Oct 2016 01:13:15 -0000

ros-kinetic-rocon-hub (0.7.10-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.9-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.8-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.7-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.6-2xenial) xenial; urgency=high

  * expose hidden param in the code
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.5-2xenial) xenial; urgency=high

  * ttl returns -2 if key does not exist from redis 2.8
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.4-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.3-2xenial) xenial; urgency=high

  * support for redis on trusty, version 2.8.
  * remove unused gateway_ping_frequency parameter, #271 <https://github.com/robotics-in-concert/rocon_multimaster/issues/271>.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.1-2xenial) xenial; urgency=high

  * Expose ``gateway_unavailable_timeout`` as a configurable parameter.
  * Expose ``gateway_unavailable_timeout`` as an arg to roslaunch.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

ros-kinetic-rocon-hub (0.7.0-2xenial) xenial; urgency=high

  * support for redis server v2.6
  * update for recently moved modules to rocon_tools, also platform_tuples module refactoring.
  * interpret time_since_last_seen as an int, not a float. #233 <https://github.com/robotics-in-concert/rocon_multimaster/issues/233>
  * pep8
  * bugfix wired alive ping status' on the hub, closes #224 <https://github.com/robotics-in-concert/rocon_multimaster/issues/224>
  * gateway to hub pinger
  * parameterise the external shutdown timeout.
  * external shutdown hooks for gateway and hub.
  * variable length split, so pull from the start, not the back, closes #211 <https://github.com/robotics-in-concert/rocon_multimaster/issues/211>
  * better pretty printing in remote_gateway_info_script. update time_last_seen after the first failure as well
  * graceful error handling for ping output parse failure. closes #185 <https://github.com/robotics-in-concert/rocon_multimaster/issues/185>
  * connection statistics on the hub.
  * reverting default gateway dropout time to 2 hours
  * clean out old redis home directory when restarting the hub, closes #166 <https://github.com/robotics-in-concert/rocon_multimaster/issues/166>
  * ensure that gateway_info is completely available before adding a ping to that machine. closes #198 <https://github.com/robotics-in-concert/rocon_multimaster/issues/198>
  * first draft of the hub sidekick is complete. closes #182 <https://github.com/robotics-in-concert/rocon_multimaster/issues/182>. closes #183 <https://github.com/robotics-in-concert/rocon_multimaster/issues/183>
  * using wallsleep clock instead of rospy.sleep. progress towards #191 <https://github.com/robotics-in-concert/rocon_multimaster/issues/191>
  * Contributors: Daniel Stonier, Piyush Khandelwal

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-hub (0.5.0-2xenial) xenial; urgency=high

  * direct and zeroconf hubs now resolving.
  * trivial comment update.
  * background hub discovery thread.
  * use args instead of reproducing launcher content.
  * uuid's now used to generate unique gateway names.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:03:00 -0000

ros-kinetic-rocon-hub (0.3.0-2xenial) xenial; urgency=high

  * update jihoon e-mail

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-kinetic-rocon-hub (0.2.2-2xenial) xenial; urgency=high

  * fix wiki links.
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-kinetic-rocon-hub (0.1.8-2xenial) xenial; urgency=high

  * some exception and license handling

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 04:59:00 -0000

ros-kinetic-rocon-hub (0.1.6-2xenial) xenial; urgency=high

  * avoid building, rosbuild takes ages now.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub (0.1.4-2xenial) xenial; urgency=high

  * generic default hub name.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 07 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub (0.1.3-2xenial) xenial; urgency=high

  * rocon_gateway_hub->rocon_hub, client also.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-hub
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/rocon_hub
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-hub
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avahi-daemon, avahi-utils, redis-server, ros-kinetic-rocon-console, ros-kinetic-rocon-gateway, ros-kinetic-rocon-python-comms, ros-kinetic-rocon-python-redis, ros-kinetic-rocon-semantic-version, ros-kinetic-rosgraph, ros-kinetic-std-srvs
Description: A hub acts as a shared key-value store for multiple ros systems (primarily used by gateways).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-hub//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
